Page MenuHomePhabricator

mysql library deprecated
Closed, ResolvedPublic

Description

The tools give:

Unknown Error: There were MySQL errors at Wed, 19 Aug 2015 15:27:58 +00008192mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead/data/project/erwin85/public_html/inc/database.class.php467Array. It is possible that this tool won't work right now. If this error message persists please file a bug.

We need to migrate to one of the other libraries.

Event Timeline

Akoopal created this task.Aug 19 2015, 3:30 PM
Akoopal raised the priority of this task from to Needs Triage.
Akoopal updated the task description. (Show Details)
Akoopal added a project: Tool-Erwin's-tools.
Akoopal added a subscriber: Akoopal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 3:30 PM

Well that's bizarre, what changed on the hosts? I don't see any upgrade on https://lists.wikimedia.org/pipermail/labs-announce/2015-August/

Trusty hosts have been the default webservice host since april: http://thread.gmane.org/gmane.org.wikimedia.labs.announce/11/focus=3628

But this error came up just these days.

valhallasw added a comment.EditedAug 24 2015, 8:25 AM

Starting April 29 2015, any new lighttpd webservices started will default to Ubuntu trusty instead of ubuntu precise as is the case now. Note that none of the current webservices will be migrated by us - if you are running on precise now, it will continue running there until you migrate it yourself.

Where 'migrate yourself' means: webservice stop, webservice start.

To get back the precise webserver,

webservice stop
webservice start --release precise
Nemo_bis closed this task as Resolved.Aug 25 2015, 8:18 AM
Nemo_bis claimed this task.

Thanks, done; things work again. How much time do we have till this bites us again?

We are not planning on removing Precise servers until after we provide Jessie servers. As long as you don't run

webservice stop
webservice start

(i.e. without --release precise)

the service will keep running as precise webservice. If you need to restart the job, webservice restart should restart it as precise by itself.